import { Module } from 'mana-syringe';
import { SVGContextService } from './SVGContextService';
var containerModule = Module(function (register) {
  /**
   * implements ContextService
   */
  register(SVGContextService);
});

var ContextRegisterPlugin =
/** @class */
function () {
  function ContextRegisterPlugin() {}

  ContextRegisterPlugin.prototype.init = function (container) {
    container.load(containerModule, true);
  };

  ContextRegisterPlugin.prototype.destroy = function (container) {
    container.unload(containerModule);
  };

  return ContextRegisterPlugin;
}();

export { ContextRegisterPlugin };