import { __extends } from "tslib";
import { AbstractRenderer } from '@antv/g';
import * as DomInteraction from '@antv/g-plugin-dom-interaction';
import * as SVGRenderer from '@antv/g-plugin-svg-renderer';
import * as SVGPicker from '@antv/g-plugin-svg-picker';
import { ContextRegisterPlugin } from './ContextRegisterPlugin';
export { DomInteraction, SVGRenderer, SVGPicker };

var Renderer =
/** @class */
function (_super) {
  __extends(Renderer, _super);

  function Renderer(config) {
    var _this = _super.call(this, config) || this;

    _this.registerPlugin(new ContextRegisterPlugin());

    _this.registerPlugin(new SVGRenderer.Plugin());

    _this.registerPlugin(new DomInteraction.Plugin());

    _this.registerPlugin(new SVGPicker.Plugin());

    return _this;
  }

  return Renderer;
}(AbstractRenderer);

export { Renderer };