"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ContextRegisterPlugin = void 0;

var _manaSyringe = require("mana-syringe");

var _SVGContextService = require("./SVGContextService");

var containerModule = (0, _manaSyringe.Module)(function (register) {
  /**
   * implements ContextService
   */
  register(_SVGContextService.SVGContextService);
});

var ContextRegisterPlugin =
/** @class */
function () {
  function ContextRegisterPlugin() {}

  ContextRegisterPlugin.prototype.init = function (container) {
    container.load(containerModule, true);
  };

  ContextRegisterPlugin.prototype.destroy = function (container) {
    container.unload(containerModule);
  };

  return ContextRegisterPlugin;
}();

exports.ContextRegisterPlugin = ContextRegisterPlugin;